<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="">




    <query  id="InputRecordServer.doQuery" desc="">
        <![CDATA[
 SELECT * FROM CMM_INPUT_RECORD WHERE 1= 1
           ]]>
    </query>

    <query  id="InputRecordServer.doDelete" desc="">
        <![CDATA[
 DELETE FROM CMM_INPUT_RECORD
 WHERE  NVL(RECORD_LOCATION,'/') = NVL(?,'/')
 AND NVL(RECORD_KEY,'/') = NVL(?,'/')
  AND RECORD_TYPE = ?
  AND RECORD_VALUE = ?
           ]]>
    </query>

    <query  id="InputRecordServer.doAdd" desc="">
        <![CDATA[
  INSERT INTO CMM_INPUT_RECORD(
        RECORD_LOCATION,
        RECORD_KEY,
        RECORD_TYPE,
        RECORD_DATE,
        RECORD_VALUE)
 VALUES(
        ?,
        ?,
        ?,
        SYSDATE,
        ?)
           ]]>
    </query>



    <query  id="InputRecordServer.doDelete2" desc="">
        <![CDATA[
 DELETE FROM CMM_INPUT_RECORD
 WHERE RECORD_ID IN (SELECT RECORD_ID
                       FROM (SELECT ROWNUM RW, RECORD_ID
                               FROM CMM_INPUT_RECORD
                                WHERE  NVL(RECORD_LOCATION,'/') = NVL(?,'/')
 AND NVL(RECORD_KEY,'/') = NVL(?,'/')
  AND RECORD_TYPE = ?
                              ORDER BY RECORD_DATE DESC)
                      WHERE RW > 100)
           ]]>
    </query>

</queryMap>